Skip to content
This repository
Fetching contributors…

Cannot retrieve contributors at this time

file 78 lines (62 sloc) 2.784 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78
source :rubygems

# If you make any changes in this file, please run `bundle install`.
# If new versions of your installed gems are available, run `bundle update`

gem "radiant", "~> <%= radiant_version %>"
gem "compass-rails", "~> 1.0.3"

# alternatively, in development
# gem "radiant", :path => "/path/to/radiant/root"

# Uncomment to support CoffeeScript with a JS runtime (used in the Sheets extension)
# gem "execjs"
# And you may need one of these:
# gem "mustang" # Google V8 for Ruby
# gem "therubyracer" # Google V8 for Ruby
# gem "therubyrhino" # Mozilla Rhino for JRuby
# gem "johnson" # Mozilla SpiderMonkey for Ruby

# SQLite is the default database connection but only suitable for local use
<%= '# ' unless db == 'sqlite3' %>gem "sqlite3", "~> 1.3.4"

# To use MySQL
<%= '# ' unless db == 'mysql' %>gem "mysql", "~> 2.8.1"

# Postgres
<%= '# ' unless db == 'postgresql' %>gem "pg", "~> 0.11.0"

# IBM DB2
<%= '# ' unless db == 'db2' %>gem "db2", "~> 2.6.2"

# SQL Server
<%= '# ' unless db == 'sqlserver' %>gem "tiny_tds"
<%= '# ' unless db == 'sqlserver' %>gem "activerecord-sqlserver-adapter", "~> 3.1.0"

# Default Extensions
gem "radiant-archive-extension", "~> 1.0.7"
gem "radiant-clipped-extension", "~> 1.0.16"
gem "radiant-debug-extension", "~> 1.0.2"
gem "radiant-exporter-extension", "~> 1.0.2"
gem "radiant-markdown_filter-extension", "~> 1.0.2"
gem "radiant-sheets-extension", "~> 1.0.9"
gem "radiant-site_templates-extension", "~> 1.0.4"
gem "radiant-smarty_pants_filter-extension", "~> 1.0.2"
gem "radiant-snippets-extension", "~> 1.0.2"
gem "radiant-textile_filter-extension", "~> 1.0.4"

# Language packs
# gem "radiant-dutch_language_pack-extension", "~> 1.0.0"
# gem "radiant-french_language_pack-extension", "~> 1.0.0"
# gem "radiant-german_language_pack-extension", "~> 1.0.0"
# gem "radiant-italian_language_pack-extension", "~> 1.0.0"
# gem "radiant-japanese_language_pack-extension", "~> 1.0.0"
# gem "radiant-russian_language_pack-extension", "~> 1.0.0"

# A standard gem extension
# gem "radiant-example-extension", :version => "~> 1.0.0"

# Your own forked extension
# gem "radiant-modified-extension", :git => "git://github.com/your/fork.git"

# A local extension in development
# gem "radiant-new-extension", :path => "/path/to/extension/root"

# Gems you would like to have in your development environment
# group :development do
# gem "wirble"
# end

# If you're running tests or specs
# group :test do
# gem "cucumber-rails", "~> 0.3.2"
# gem "database_cleaner", "~> 0.6.5"
# gem "webrat", "~> 0.7.3"
# gem "rspec-rails", "~> 1.3.3"
# gem "sqlite3", "~> 1.3.4"
# gem "ZenTest", "4.6.0"
# end
Something went wrong with that request. Please try again.